package com.lynx.canvas;

import android.os.Looper;
import android.view.Surface;
import com.bytedance.covode.number.Covode;

public class LynxCanvasDownStreamManager {
    static {
        Covode.recordClassIndex(46089);
    }

    public static native long nativeAddSurface(long j, String str, Surface surface);

    public static native void nativeRemoveSurface(long j, String str, long j2);

    public LynxCanvasDownStreamManager() {
        if (Looper.myLooper() != Looper.getMainLooper()) {
            throw new IllegalStateException("CanvasDownStreamSurfaceManager should be used on main thread only.");
        }
    }
}
